#include "fonctions_TP4_exo1.h"


int puissance(int nb1, int ps1)
{
	int resultat=1,i;
	for(i=1;i<=ps1;i++)
	{ 
		resultat=resultat*nb1;
	}

	return resultat;
}


int multiple(int nb1, int mult1)
{
	int resultat=0;
	resultat=(nb1%mult1==0);
    return resultat;
}


unsigned long fact(int a)

{
	int i;
	unsigned long b;
	b=a;
	for(i=1;i<=(a-1);i++)
	{       
		b*=(a-i);
	}
	return b;
}

int pgcd(int a,int b)
{
	 int retourpgcd;
	 do 
	 {
		 if(a<b)
		 {
			 b=b-a;
		 }
		 else if (b<a)
		 {
			 a=a-b;
		 }
	 }
	 while(a!=b);
	 return retourpgcd=a;
}

char nbprem(int a)
{
	int div=a-1;
	do 
	{
		div=div--;
	}
	while(a%div!=0);
	
	if(div==1)
	{
		return 'O';
	}
	else
	{
		return 'N';
	}
}

long int fibo (int n1)
{	
	int U1=1, U2=1, U3=2, i;
	if(n1==1)
		return U1;
	else if (n1==2)
		return U2;
	else if (n1==3)
		return U1+U2;
	else 
	{
		for (i=4; i<=n1; i++)
		{
			U1=U2;
			U2=U3;
			U3=U1+U2;
		}
	return U3;	

	}

}





